Vítejte !   Přihlášení | Registrace
Hlavní menu
CATIA fórum.cz
Novinky
Seriál CATIA
Obecně o CAD
Novinky ze světa DS
Makra pro CATIA V5
Diskuse
Vytvořit téma
Koncepty
Seznam oblíbených
Soukromé zprávy
Pravidla
Live CHAT
VIP žádost
Základy Catia
Ke stažení
Doporučujeme
Pracovní příležitosti
Reklama a kampaně
O fóru
Nápověda

Zrusenie srafovania v prierezoch

Kompletní přehled příspěvků v tématu Zrusenie srafovania v prierezoch řazený podle data jejich publikace na fóru.

UživatelPříspěvek
Patrik Vaclav

Poslat zprávu | Profil
Datum: 16.11. 2012 | Zobrazeno: 3443x
Konfigurace CATIA:

Text dotazu:
Ahoj,

mam otazocku, Ako dokazem zrusit srafovanie v prierezoch na zostavnych vykresoch.
Srafy sa v prierezoch nemusia pouzivat. Problem je ten ze ked ich vymazem alebo skryjem tak po update sa vytvoria znova.

Ja som prisel na sposob ako schovat srafy tak ako potrebujem. Treba nastavit Pattern type v prop. Srafov na NONE. Potom srafy nie je vidiet aj po update. Vtip je ale v tom ze by som to chcel ovladat cez macro, ale nemozem najst prikaz ktory to dokaze.
Kde si som tu cital na fore ze to nepodporuje API. Takze by som chcel zistit ci su este nejake ine moznosti.

Dakujem za info....

Vlasťa

Poslat zprávu | Profil
[#3458] | Publikováno: 16.11. 2012 - 13:12
Ahoj,
co třeba takto:
V sestavě vybrat komponentu, jejíž šrafy se nemají objevovat, stisknout ALT+ENTER, záložka Drafting, položka Do not cut in section views.
Patrik Vaclav

Poslat zprávu | Profil
[#3468] | Publikováno: 19.11. 2012 - 12:11
Problem je ten ze prerezane suciastky musia byt, ale nemusia byt srafovane.
Viem ze je to zvlastne, ale Skodovke resp. VW to nevadi.
Ing Jan Cinert

Poslat zprávu | Profil
[#3469] | Publikováno: 19.11. 2012 - 20:55
Myslím že šrafy nejsou v API podporovány, takže makrem to nepůjde. Zkoušel jsem jednou makro na něco podobného a narazil jsem. Bohužel, bude se to muset ručně...
Patrik Vaclav

Poslat zprávu | Profil
[#3474] | Publikováno: 21.11. 2012 - 14:15
Tak napokom som si nahral Macro na selectovanie srafov a aspon ich mozem naraz vyznacit a potom modifikovat cez properties.

Language="VBSCRIPT"


Sub CATMain()

Set drawingDocument1 = CATIA.ActiveDocument

Set selection1 = drawingDocument1.Selection

selection1.Search "Name=*GeneratedShape*,all"

Set selection2 = drawingDocument1.Selection

selection2.Search "Name=*GeneratedShape*,all"

End Sub


Len ma este zaujima ci "GeneratedShape" je len pre Srafy, ci nahodou vo vykrese nie je este nieco ine s tymto Feature Name v Propreties.
Ja som to nikde nemohol nasjt.
Ing Jan Cinert

Poslat zprávu | Profil
[#3475] | Publikováno: 21.11. 2012 - 17:56
S tím bych byl opatrný, protože například veškeré projektované křivky se jmenují GeneratedItem, tak aby se vám kromě šrafů nevybralo i něco co nechcete...
Patrik Vaclav

Poslat zprávu | Profil
[#3477] | Publikováno: 23.11. 2012 - 07:10
Prave robim aj kontrolu ci to vybera aj nieco ine, ale zatial som na to neprisiel.

Napdalo ma ze by sa to dalo poistit tym, ze po selekcii by mi vybehlo okno properties /to by bol koniec makra/ a tam by som manualne nastavil Hatches na NONE.
Len neviem ako to zapisat do makra, aby mi zo selekcie vybehlo okno properties. Predpokladam ze to bude asi dalsie macro ktore si potom privolam.


Uživatel nepřihlášen

Pro zobrazení obsahu stránky / provedení akce (vytvoření nového téma, napsání odpovědi do diskuse apod.) musíte být přihlášeni.